@import '../../../styles.scss';

.title {
    font-size: 30px;
    margin-top: auto;
    margin-bottom: auto;
    margin-left: 20px;
}

.content {
    font-size: 20px;
}

.post {
    display: grid;
    grid-template-rows: 1fr;
    grid-template-columns: 15fr 100fr;
    grid-template-areas: 
    "votes post";
    background-color: $color-soft-green;
    box-shadow: 0px 0px 1px 0px black;
    padding: 15px;
}

.post:hover {
    box-shadow: 0px 0px 5px 0px black;
    cursor: pointer;

    .title {
        font-weight: bold;
    }
}


.votes {
    display: flex;
    justify-content: space-evenly;
    align-items: center;

    .vote-group {
        // background-color: blue;
        text-align: center;
        padding: 5px;
    }

    .answer-group {
        // background-color: red;
        text-align: center;
        padding: 5px;
    }

    border-right: solid 1px;
}